from GBaseConn import GBaseConn

with GBaseConn() as conn :   
    cursor = conn.cursor()

    drop = "drop table if exists tab_list"
    cursor.execute(drop)

    create = """
    create table tab_list(
        i_serial serial not null,
        l_list   LIST(varchar(20) not null)
    )
    """
    cursor.execute(create)

    insert = """
    insert into tab_list(i_serial,l_list) values(0,?)
    """
    l_list_list = "LIST{'aaaa','bbbb','cccc'}"
    cursor.execute(insert, (l_list_list,))

    select = "select * from tab_list"
    cursor.execute(select)
    rows = cursor.fetchall()
    for row in rows:
        print("字段 1 i_serial 的类型为{} ,值为：{}" . format(str(type(row[0])),row[0]))
        print("字段 2 l_list   的类型为{} ,值为：{}" . format(str(type(row[1])),row[1]))