from GBaseConn import GBaseConn

with GBaseConn() as conn :   
    cursor = conn.cursor()

    drop = "drop table if exists tab_json_bson"
    cursor.execute(drop)

    create = """
    create table tab_json_bson(
        i_serial serial not null,
        b_bson bson,
        j_json json
    )
    """
    cursor.execute(create)

    insert = "insert into tab_json_bson(i_serial,b_bson,j_json) values(0,?,?)"
    b_bson_bson = "bson类型输入"
    j_json_json = "json类型输入"
    cursor.execute(insert,(b_bson_bson,j_json_json))

    select = "select * from tab_json_bson"
    cursor.execute(select)
    rows = cursor.fetchall()
    for row in rows:
        print("字段1 i_serial的类型为：{}, 值为：{}".format(str(type(row[0])),row[0]))
        # bson的格式为IfxBSONObject, 可转换为byte[]，再转换为文本（视需要）
        print("字段2 b_bson  的类型为：{}, 值为：{}".format(str(type(row[1])), str(row[1].getBytes(),'UTF-8')))
        print("字段3 j_json  的类型为：{}, 值为：{}".format(str(type(row[2])),row[2]))