from GBaseConn import GBaseConn

with GBaseConn() as conn :   
    cursor = conn.cursor()

    drop = "drop table if exists tab_smart_lob"
    cursor.execute(drop)

    create = """
    create table tab_smart_lob(
        i_bigserial bigserial not null,
        slob_blob blob,
        slob_clob clob
    )
    """
    cursor.execute(create)

    slob_blob  = 'blob类型输入，最大支持4TB'
    slob_clob  = 'clob类型输入，最大支持4TB'

    insert = "insert into tab_smart_lob values(0,?,?)"
    cursor.execute(insert,(slob_blob,slob_clob))

    select = "select * from tab_smart_lob"
    cursor.execute(select)
    rows = cursor.fetchall()
    for row in rows :
        print("字段1 i_bigserial 的类型为：{}, 值为：{}".format(str(type(row[0])),row[0]))
        # 类型为IfxBblob，使用java驱动类的getBytes(); IfxBblob的length()类型为JLong，需要转换成int
        print("字段2 i_bigserial 的类型为：{}, 值为：{}".format(str(type(row[1])),str(row[1].getBytes(1,int(row[1].length())),'UTF-8')))
        # 类型为IfxCblob，使用java驱动类的getSubString(); IfxCblob的length()类型为JLong，需要转换成int
        print("字段3 i_bigserial 的类型为：{}, 值为：{}".format(str(type(row[2])),row[2].getSubString(1,int(row[2].length()))))