from GBaseConn import GBaseConn

with GBaseConn() as conn :   
    cursor = conn.cursor()

    drop = "drop table if exists tab_raw"
    cursor.execute(drop)

    create = """
    create table tab_raw(
        i_bigserial bigserial not null,
        raw_raw raw
    )
    """
    cursor.execute(create)

    # 仅接受16进制数值
    raw_raw1 = "63646566"
    raw_raw2 = "6768696a"

    insert = "insert into tab_raw values(0,?)"
    cursor.execute(insert,(raw_raw1,))
    cursor.execute(insert,(raw_raw2,))

    select = "select * from tab_raw"
    cursor.execute(select)
    rows = cursor.fetchall()
    for row in rows :
        print("字段1 i_bigserial 的类型为：{}, 值为：{}".format(str(type(row[0])),row[0]))
        print("字段2 raw_raw     的类型为：{}, 值为：{}".format(str(type(row[1])),row[1]))
        print("")