from GBaseConn import GBaseConn

with GBaseConn() as conn :   
    cursor = conn.cursor()

    drop = "drop table if exists tab_boolean"
    cursor.execute(drop)

    create = """
    create table tab_boolean(
        i_serial  serial not null,
        b_boolean boolean
    )
    """
    cursor.execute(create)

    insert = """
    insert into tab_boolean(i_serial,b_boolean) values(0,?)
    """
    cursor.execute(insert,(True,))
    cursor.execute(insert,(False,))
    cursor.execute(insert,(None,))

    select = "select * from tab_boolean"
    cursor.execute(select)
    rows = cursor.fetchall()
    for row in rows :
        print("字段 1 i_serial 的类型为：{},值为：{}" . format(str(type(row[0])),row[0]))
        print("字段 2 b_boolean的类型为：{},值为：{}" . format(str(type(row[1])),row[1]))
        print("")