from GBaseConn import GBaseConn

with GBaseConn() as conn :   
    cursor = conn.cursor()

    drop = "drop table if exists tab_lob"
    cursor.execute(drop)

    create = """
    create table tab_lob(
        i_serial8 serial8 not null,
        lob_byte  byte,
        lob_text  text
    )
    """
    cursor.execute(create)

    insert = "insert into tab_lob(i_serial8,lob_byte,lob_text) values(0,?,?)"
    # 二进制类型
    # lob_byte = bytes('byte类型输入', encoding='UTF-8')
    lob_byte = 'byte类型输入'
    lob_text = 'text类型输入'
    cursor.execute(insert,(lob_byte,lob_text))

    select = "select * from tab_lob"
    cursor.execute(select)
    rows = cursor.fetchall()
    for row in rows:
        print("字段1 i_serial8 的类型为：{}, 值为：{}".format(str(type(row[0])),row[0]))
        print("字段2 lob_byte  的类型为：{}, 值为：{}".format(str(type(row[1])),str(row[1],'UTF-8')))
        print("字段3 lob_text  的类型为：{}, 值为：{}".format(str(type(row[2])),row[2]))